org.apache.catalina.mbeans

## Class JmxRemoteLifecycleListener.RmiServerBindSocketFactory

- java.lang.Object
- - org.apache.catalina.mbeans.JmxRemoteLifecycleListener.RmiServerBindSocketFactory

- All Implemented Interfaces:
    java.rmi.server.RMIServerSocketFactory
  Enclosing class:
    JmxRemoteLifecycleListener

      public static class JmxRemoteLifecycleListener.RmiServerBindSocketFactory
      extends java.lang.Object
      implements java.rmi.server.RMIServerSocketFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxRemoteLifecycleListener.RmiServerBindSocketFactory(java.lang.String address)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.ServerSocket` | `createServerSocket(int port)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmxRemoteLifecycleListener.RmiServerBindSocketFactory

          public JmxRemoteLifecycleListener.RmiServerBindSocketFactory(java.lang.String address)

  - ### Method Detail

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket(int port)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
      Throws:
        `java.io.IOException`

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.